Public Class frmMDI

    Inherits System.Windows.Forms.Form

    Private WithEvents menuItemDraw As System.Windows.Forms.MenuItem
    Private WithEvents menuItemSurface As System.Windows.Forms.MenuItem
    Private WithEvents menuItemExit As System.Windows.Forms.MenuItem
    Private WithEvents menuItemNew As System.Windows.Forms.MenuItem

#Region " Windows Form Designer generated code "

    Public Sub New()
        MyBase.New()

        'This call is required by the Windows Form Designer.
        InitializeComponent()

        'Add any initialization after the InitializeComponent() call

    End Sub

    'Form overrides dispose to clean up the component list.
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    Private WithEvents menuItem1 As System.Windows.Forms.MenuItem
    Private WithEvents menuItem2 As System.Windows.Forms.MenuItem
    Private WithEvents menuItem3 As System.Windows.Forms.MenuItem
    Private WithEvents menuItem4 As System.Windows.Forms.MenuItem
    Private WithEvents mainMenu1 As System.Windows.Forms.MainMenu

    'Required by the Windows Form Designer
    Private components As System.ComponentModel.Container

    'NOTE: The following procedure is required by the Windows Form Designer
    'It can be modified using the Windows Form Designer.  
    'Do not modify it using the code editor.
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        Me.mainMenu1 = New System.Windows.Forms.MainMenu()
        Me.menuItemSurface = New System.Windows.Forms.MenuItem()
        Me.menuItemExit = New System.Windows.Forms.MenuItem()
        Me.menuItemDraw = New System.Windows.Forms.MenuItem()
        Me.menuItemNew = New System.Windows.Forms.MenuItem()
        Me.mainMenu1.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.menuItemNew, Me.menuItemSurface, Me.menuItemDraw, Me.menuItemExit})
        Me.menuItemSurface.Index = 1
        Me.menuItemSurface.Text = "&Surface"
        Me.menuItemExit.Index = 3
        Me.menuItemExit.Text = "&Exit"
        Me.menuItemDraw.Index = 2
        Me.menuItemDraw.Text = "&Draw"
        Me.menuItemNew.Index = 0
        Me.menuItemNew.Text = "&New"
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.ClientSize = New System.Drawing.Size(395, 288)
        Me.IsMdiContainer = True
        Me.Menu = Me.mainMenu1
        Me.Text = "System.Drawing Example"

    End Sub

    Private Sub frmMDI_Load(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles MyBase.Load

        'purpose: initialize the application, create the child form       

        'create a new instance of the child form
        m_myChild = New frmChild()

        'set the parent of the child form to the MDI form
        m_myChild.MdiParent = Me

        'show the form to the user
        m_myChild.Show()

        'set form to default values
        Call resetChildForm()

        'instantiate a graphics object with the child's handle
        m_myGraphics = Graphics.FromHwnd(m_myChild.Handle)

    End Sub

    Private Sub resetChildForm()

        'purpose: clear the child form

        'set the form back to default values
        m_myChild.Left = m_LeftPos
        m_myChild.Top = m_TopPos
        m_myChild.Width = m_Width
        m_myChild.Height = m_Height

        'set the background and foreground colors of the child form
        ' 	to their defaults
        m_myChild.BackColor = Color.FromName(m_ChildColor)
        m_myChild.ForeColor = Color.FromName(m_ChildColor)

        'refresh the form
        m_myChild.Refresh()

    End Sub

    Private Sub menuItemNew_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles menuItemNew.Click

        'purpose: user clicks the NEW item on the menu bar to create a new
        '         drawing surface

        'note: no new form is actually created, we simply clear and reset
        '      current form

        'call the method used to reset the child form to its defaults
        Call resetChildForm()

    End Sub

    Private Sub menuItemExit_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles menuItemExit.Click

        'purpose: close the app. when the user clicks the EXIT menu item

        'kill the application
        End

    End Sub

    Private Sub menuSuface_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles menuItemSurface.Click

        'purpose:   show the surface dialog when the user clicks the 
        '           SURFACE menu item

        'local scope
        Dim mySurface As frmSuface

        'create new suface form
        mySurface = New frmSuface()

        'set the start position of the modal dialog to the center position 
        '  of its parent
        mySurface.StartPosition = FormStartPosition.CenterParent

        'show the form as modal
        mySurface.ShowDialog(Me)

    End Sub

    Private Sub menuItemDraw_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles menuItemDraw.Click

        'purpose:   show the draw dialog when the user clicks 
        '           the DRAW menu item

        'local scope
        Dim myDraw As frmDraw

        'create new suface form
        myDraw = New frmDraw()

        'set the start position of the modal dialog to the center 
        '  positions of its parent
        myDraw.StartPosition = FormStartPosition.CenterParent

        'show the form as modal
        myDraw.ShowDialog(Me)

    End Sub

#End Region

End Class
